class BalloonsController < ApplicationController
  layout 'test' if MagicNumber['test_layout']
  if MagicNumber['run_mode'] == 0
    before_filter :authenticate_user, :only => []
    before_filter :authenticate_author, :only => []
  else
    before_filter :authenticate_reader, :only => [:index, :show]
    before_filter :authenticate_user, :only => []
    before_filter :authenticate_author, :only => []
  end
  before_filter :authenticate_admin!, :only => [:list, :browse]
  
  def index
    @page = Balloon.page params[:page]
    @page_size = Balloon.page_size params[:page_size]
    @balloons = Balloon.list(@page, @page_size)

    respond_to do |format|
      format.html # index.html.erb
      format.json { render json: @balloons.to_json(Balloon.list_json_opt) }
    end
  end
  
  def show
    @balloon = Balloon.show(params[:id], [@user, @admin])
    respond_to do |format|
      format.html # show.html.erb
      format.json { render json: @balloon.to_json(Balloon.show_json_opt) }
    end
  end
  
  def list
    @balloons = Balloon.all

    respond_to do |format|
      format.html { render layout: 'system' }
      format.json { render json: @balloons }
    end
  end

  def browse
    @balloon = Balloon.find(params[:id])

    respond_to do |format|
      format.html { render layout: 'system' }
      format.json { render json: @balloon }
    end
  end

end
